Cyberduck Mountain Duck CLI

#1993 closed defect (worksforme)

Not a Bug, but an irritant

Reported by: preflight@wc-print.com Owned by: dkocher
Priority: normal Milestone: 3.0
Component: interface Version: 2.8.5
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description

OK, so this isn't a bug, but it is an irritant.

I recently updated Cyberduck, and when it restarted after the installation, I got a message that said this (see attachment):

"Cyberduck has been updated. Do you want to allow the new version to access the same keychain items (such as passwords) as the previous version?"

Then my choices were a "Don't Change" button, and a "Change All" button.

My beef is that the question in the Cyberduck update message is a Yes or No question, but my choices have nothing to do with "Yes" or "No". Likewise, the message does not mention the word "change" at all, so that just adds to the confusion.

My recommendation would be that if you ask a Yes or No question, provide buttons that say "Yes" and "No". You can't get much more clear than that.

Thanks for listening.

Mark Neukom

Attachments (1)

CyberDuck Irritant.jpg (49.6 KB) - added by preflight@wc-print.com on May 1, 2008 at 1:42:20 PM.

Download all attachments as: .zip

Change History (2)

Changed on May 1, 2008 at 1:42:20 PM by preflight@wc-print.com

comment:1 Changed on May 1, 2008 at 2:22:35 PM by dkocher

  • Component changed from core to interface
  • Resolution set to worksforme
  • Status changed from new to closed

Thanks for your detailed report. The dialog is provided by Apple and I cannot change it. However, Cyberduck is now code signed which should make this dialog disappear after you have trusted it once.

Note: See TracTickets for help on using tickets.